Index: WAeUP_SRP/trunk/doc/srp_documentation.mm
===================================================================
--- WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1518)
+++ WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1519)
@@ -2,17 +2,261 @@
 <!-- To view this file, download free mind mapping software FreeMind from http://freemind.sourceforge.net -->
 <node CREATED="1170079518946" ID="Freemind_Link_650524897" MODIFIED="1172489583516" TEXT="WAeUP Documentation">
-<node CREATED="1172489553062" ID="Freemind_Link_1276207160" MODIFIED="1172489556316" POSITION="right" TEXT="Glossary">
-<node CREATED="1172588742298" ID="Freemind_Link_495359346" MODIFIED="1172588781755" TEXT="Field Names (Attributes)"/>
+<node CREATED="1172489553062" FOLDED="true" ID="Freemind_Link_1276207160" MODIFIED="1172489556316" POSITION="right" TEXT="Glossary">
+<node CREATED="1172588742298" ID="Freemind_Link_495359346" LINK="../profiles/default/schemas.xml" MODIFIED="1173007237566" TEXT="Field Names (Attributes)"/>
 <node CREATED="1172588782286" ID="Freemind_Link_1234262632" LINK="../profiles/default/types.xml" MODIFIED="1172588916308" TEXT="Types"/>
-<node CREATED="1172588791669" ID="Freemind_Link_832896495" MODIFIED="1172588797948" TEXT="Labels"/>
-</node>
-<node CREATED="1172489529057" ID="Freemind_Link_43083883" MODIFIED="1172489545651" POSITION="right" TEXT="SRP Data Structure">
-<node CREATED="1172001308558" ID="Freemind_Link_1997267023" MODIFIED="1172490300476" TEXT="Profiles">
-<node CREATED="1172001324877" ID="Freemind_Link_1866579033" MODIFIED="1172001330846" TEXT="default">
-<node CREATED="1172001340812" ID="Freemind_Link_274105864" LINK="../profiles/default/directories.xml" MODIFIED="1172001465313" TEXT="portal_directories"/>
-<node CREATED="1172001340812" ID="Freemind_Link_1612370167" LINK="../profiles/default/layouts.xml" MODIFIED="1172001506077" TEXT="portal_layouts"/>
-<node CREATED="1172001340812" ID="Freemind_Link_7840481" LINK="../profiles/default/schemas.xml" MODIFIED="1172001572800" TEXT="portal_schemas"/>
-<node CREATED="1172001340812" ID="Freemind_Link_1164818739" LINK="../profiles/default/types.xml" MODIFIED="1172001612293" TEXT="portal_types"/>
-</node>
+<node CREATED="1172588791669" ID="Freemind_Link_832896495" LINK="../profiles/default/layouts.xml" MODIFIED="1173007318993" TEXT="Labels (Titles)"/>
+</node>
+<node CREATED="1172489529057" FOLDED="true" ID="Freemind_Link_43083883" MODIFIED="1172489545651" POSITION="right" TEXT="SRP Data Structure">
+<node CREATED="1170079621592" FOLDED="true" ID="Freemind_Link_1297017754" MODIFIED="1170079640872" TEXT="Campus">
+<node CREATED="1171710559043" ID="Freemind_Link_1592396213" MODIFIED="1171710565212" TEXT="Id: campus"/>
+<node CREATED="1170079643589" FOLDED="true" ID="Freemind_Link_1231068129" MODIFIED="1171710686426" TEXT="Academic Section">
+<node CREATED="1171710577379" ID="Freemind_Link_1444831124" MODIFIED="1171710589887" TEXT="Id: academics"/>
+<node CREATED="1170080366716" FOLDED="true" ID="Freemind_Link_415048819" MODIFIED="1171709591652" TEXT="{Faculties}">
+<node CREATED="1171114205479" ID="Freemind_Link_777914383" LINK="../profiles/default/types/Faculty.xml" MODIFIED="1171114273018" TEXT="Type: Faculty"/>
+<node CREATED="1171124926993" ID="Freemind_Link_1995598127" LINK="../profiles/default/schemas/faculty.xml" MODIFIED="1171124974083" TEXT="Schema: faculty"/>
+<node CREATED="1171124982312" ID="Freemind_Link_875514191" LINK="../profiles/default/layouts/faculty.xml" MODIFIED="1171125747539" TEXT="Layout: faculty"/>
+<node CREATED="1170080406892" FOLDED="true" ID="Freemind_Link_1983042340" MODIFIED="1171709620984" TEXT="{Departments}">
+<node CREATED="1171125049973" ID="Freemind_Link_734335561" LINK="../profiles/default/types/Department.xml" MODIFIED="1171125103478" TEXT="Type: Department"/>
+<node CREATED="1171125108968" ID="Freemind_Link_553285905" LINK="../profiles/default/schemas/department.xml" MODIFIED="1172001385770" TEXT="Schema: department"/>
+<node CREATED="1171125727127" ID="Freemind_Link_481382280" LINK="../profiles/default/layouts/department.xml" MODIFIED="1171125762591" TEXT="Layout: department"/>
+<node CREATED="1170080420252" FOLDED="true" ID="Freemind_Link_290613406" MODIFIED="1171710340659" TEXT="Courses">
+<node CREATED="1171710086403" ID="Freemind_Link_241779697" LINK="../profiles/default/types/CoursesFolder.xml" MODIFIED="1172589332547" TEXT="Type: CoursesFolder"/>
+<node CREATED="1171710355390" ID="Freemind_Link_118311151" MODIFIED="1171710361439" TEXT="Id: courses"/>
+<node CREATED="1171710129425" FOLDED="true" ID="Freemind_Link_768683630" MODIFIED="1171710143816" TEXT="{Courses}">
+<node CREATED="1171125278776" ID="Freemind_Link_271340691" LINK="../profiles/default/types/Course.xml" MODIFIED="1171125499635" TEXT="Type: Course"/>
+<node CREATED="1171125294516" ID="Freemind_Link_1380275634" LINK="../profiles/default/schemas/course.xml" MODIFIED="1171125322984" TEXT="Schema: course"/>
+<node CREATED="1171125766553" ID="Freemind_Link_851403429" LINK="../profiles/default/layouts/course.xml" MODIFIED="1171125799374" TEXT="Layout: course"/>
+</node>
+</node>
+<node CREATED="1170080432978" FOLDED="true" ID="Freemind_Link_562751" MODIFIED="1170080631195" TEXT="Certificates">
+<node CREATED="1171710395037" ID="Freemind_Link_404484787" LINK="../profiles/default/types/CertificatesFolder.xml" MODIFIED="1172589301562" TEXT="Type: CertificatesFolder"/>
+<node CREATED="1171710418961" ID="Freemind_Link_1593662067" MODIFIED="1171710429717" TEXT="Id: certificates"/>
+<node CREATED="1171710430588" FOLDED="true" ID="Freemind_Link_749193871" MODIFIED="1171710447703" TEXT="{Certificates}">
+<node CREATED="1171125332417" ID="Freemind_Link_1282410878" LINK="../profiles/default/types/Certificate.xml" MODIFIED="1171125518275" TEXT="Type: Certificate"/>
+<node CREATED="1171125354169" ID="Freemind_Link_417952670" LINK="../profiles/default/schemas/course.xml" MODIFIED="1171125878924" TEXT="Schema: certificate"/>
+<node CREATED="1171125803606" ID="Freemind_Link_1875982916" LINK="../profiles/default/layouts/certificate.xml" MODIFIED="1171125868907" TEXT="Layout: certificate"/>
+<node CREATED="1171710490564" FOLDED="true" ID="Freemind_Link_843869909" MODIFIED="1171710864122" TEXT="{CertificateCourses}">
+<node CREATED="1171125386330" ID="Freemind_Link_107526608" LINK="../profiles/default/types/CertificateCourse.xml" MODIFIED="1171125541376" TEXT="Type: CertificateCourse"/>
+<node CREATED="1171125407620" ID="Freemind_Link_536311369" LINK="../profiles/default/schemas/certificate_course.xml" MODIFIED="1171125455457" TEXT="Schema: certificate_course"/>
+<node CREATED="1171126119984" ID="Freemind_Link_1217942566" LINK="../profiles/default/layouts/certificate_course.xml" MODIFIED="1171126156808" TEXT="Layout: certificate_course"/>
+</node>
+</node>
+</node>
+</node>
+</node>
+</node>
+<node CREATED="1170082138244" FOLDED="true" ID="Freemind_Link_1354366927" MODIFIED="1171710679266" TEXT="Student Section">
+<node CREATED="1171709784119" ID="_" MODIFIED="1171709937449" TEXT="Type: StudentsFolder" VSHIFT="104"/>
+<node CREATED="1171710545564" ID="Freemind_Link_221165828" MODIFIED="1171710551332" TEXT="Id: students"/>
+<node CREATED="1170082147831" FOLDED="true" ID="Freemind_Link_115332414" MODIFIED="1171709774415" TEXT="{Student}">
+<node CREATED="1171114205479" ID="Freemind_Link_1051911128" LINK="../profiles/default/types/Student.xml" MODIFIED="1171353141707" TEXT="Type: Student"/>
+<node CREATED="1171124926993" ID="Freemind_Link_1838352082" LINK="../profiles/default/schemas/student.xml" MODIFIED="1171353152905" TEXT="Schema: student"/>
+<node CREATED="1171124982312" ID="Freemind_Link_1037588671" LINK="../profiles/default/layouts/student.xml" MODIFIED="1171353165422" TEXT="Layout: student"/>
+<node CREATED="1171353188624" FOLDED="true" ID="Freemind_Link_1032185087" LINK="../profiles/default/workflows/waeup_student_wf/definition.xml" MODIFIED="1171353319663" TEXT="Workflow: waeup_student_wf">
+<node CREATED="1172156481009" ID="Freemind_Link_615926152" LINK="waeup_student_wf.gif" MODIFIED="1172486913476" TEXT="Diagram"/>
+</node>
+<node CREATED="1170082164451" FOLDED="true" ID="Freemind_Link_1627718074" MODIFIED="1171894825978" TEXT="Accommodation Data">
+<node CREATED="1170083733194" ID="Freemind_Link_1398132513" MODIFIED="1171894857194" TEXT="Id: accommodation06"/>
+<node CREATED="1170083603042" ID="Freemind_Link_4951906" LINK="../profiles/default/types/StudentAccommodation.xml" MODIFIED="1171894888465" TEXT="Type: StudentAccommodation"/>
+<node CREATED="1170083649773" ID="Freemind_Link_1139787187" LINK="../profiles/default/schemas/student_accommodation.xml" MODIFIED="1171895045243" TEXT="Schema: student_accommodation"/>
+<node CREATED="1171353188624" ID="Freemind_Link_1027526284" LINK="../profiles/default/workflows/waeup_student_accommodation_wf/definition.xml" MODIFIED="1172163355400" TEXT="Workflow: waeup_student_accommodation_wf"/>
+<node CREATED="1170883343230" FOLDED="true" ID="Freemind_Link_158025710" MODIFIED="1172157052630" TEXT="User Interface">
+<node CREATED="1172157054665" FOLDED="true" ID="Freemind_Link_123552519" MODIFIED="1172488186216" TEXT="Student">
+<node CREATED="1171362489012" FOLDED="true" ID="Freemind_Link_875925244" MODIFIED="1171376833636" TEXT="reserve_accommodation">
+<node CREATED="1171362515581" ID="Freemind_Link_1380319587" LINK="../skins/waeup_accommodation/reserve_accommodation.py" MODIFIED="1171376963675" TEXT="PY: reserve_accommodation"/>
+<node CREATED="1171362924343" ID="Freemind_Link_1031270994" LINK="../skins/waeup_accommodation/accommodation_pin_edit_form.pt" MODIFIED="1172163898958" TEXT="PT: accommodation_pin_edit_form"/>
+<node CREATED="1171124926993" ID="Freemind_Link_59643823" LINK="../profiles/default/schemas/student_accommodation.xml" MODIFIED="1171377094450" TEXT="Schema: student_accommodation"/>
+<node CREATED="1171124982312" ID="Freemind_Link_1633331359" LINK="../profiles/default/layouts/student_accommodation_fe.xml" MODIFIED="1171377120846" TEXT="Layout: student_accommodation_fe"/>
+</node>
+</node>
+<node CREATED="1172160956421" FOLDED="true" ID="Freemind_Link_1200464160" MODIFIED="1172488188590" TEXT="Officer">
+<node CREATED="1172160965772" ID="Freemind_Link_1519551515" LINK="../skins/waeup_accommodation/change_bed.py" MODIFIED="1172162566492" TEXT="change_bed"/>
+<node CREATED="1172160986371" ID="Freemind_Link_193689339" LINK="../skins/waeup_accommodation/release_bed.py" MODIFIED="1172162574968" TEXT="release_bed"/>
+</node>
+</node>
+</node>
+<node CREATED="1170082164451" FOLDED="true" ID="Freemind_Link_1808367236" MODIFIED="1171711160327" TEXT="Application Data">
+<node CREATED="1170083733194" ID="Freemind_Link_1603566745" MODIFIED="1170862024807" TEXT="Id: application"/>
+<node CREATED="1170083603042" ID="Freemind_Link_1501749959" LINK="../profiles/default/types/StudentApplication.xml" MODIFIED="1171009517689" TEXT="Type: StudentApplication"/>
+<node CREATED="1170083649773" ID="Freemind_Link_743980261" LINK="../profiles/default/schemas/student_application.xml" MODIFIED="1171009482163" TEXT="Schema: student_application"/>
+<node CREATED="1171353188624" FOLDED="true" ID="Freemind_Link_1002042622" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf">
+<node CREATED="1172156481009" ID="Freemind_Link_1105306468" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
+</node>
+<node CREATED="1170883343230" FOLDED="true" ID="Freemind_Link_575698302" MODIFIED="1172162754390" TEXT="User Interface">
+<node CREATED="1170883352226" FOLDED="true" ID="Freemind_Link_1037532744" MODIFIED="1172163796143" TEXT="Student">
+<node CREATED="1171124982312" LINK="../profiles/default/layouts/student_accommodation_fe.xml" MODIFIED="1172487948615" TEXT="Layout: student_application_fe" VSHIFT="2"/>
+<node CREATED="1172488817664" FOLDED="true" ID="Freemind_Link_1195081094" MODIFIED="1172488820358" TEXT="view">
+<node CREATED="1172163808013" LINK="../skins/waeup_student/application_slip.pt" MODIFIED="1172488857021" TEXT="PT: application_slip"/>
+<node CREATED="1172163797590" LINK="../skins/waeup_student/application_view.pt" MODIFIED="1172488862899" TEXT="PT: application_view"/>
+</node>
+<node CREATED="1172488821089" FOLDED="true" ID="Freemind_Link_671547753" MODIFIED="1172488823242" TEXT="edit">
+<node CREATED="1172163808013" LINK="../skins/waeup_student/application_edit_form.pt" MODIFIED="1172488851172" TEXT="PT: application_edit_form"/>
+<node CREATED="1172163808013" ID="Freemind_Link_6884986" LINK="../skins/waeup_student/application_edit.py" MODIFIED="1173007903444" TEXT="PY: application_edit"/>
+</node>
+</node>
+<node CREATED="1170883352226" FOLDED="true" ID="Freemind_Link_1967355218" MODIFIED="1172488273241" TEXT="Officer">
+<node CREATED="1171124982312" LINK="../profiles/default/layouts/student_application.xml" MODIFIED="1172488456165" TEXT="Layout: student_application" VSHIFT="2"/>
+<node CREATED="1172488875157" FOLDED="true" ID="Freemind_Link_509420887" MODIFIED="1172488877500" TEXT="view">
+<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_document_view.pt" MODIFIED="1172488738180" TEXT="PT: waeup_document_view"/>
+</node>
+<node CREATED="1172488878061" FOLDED="true" ID="Freemind_Link_935035316" MODIFIED="1172488879643" TEXT="edit">
+<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_edit.py" MODIFIED="1172488745821" TEXT="PY: waeup_edit"/>
+<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_edit_form.pt" MODIFIED="1172488792728" TEXT="PT: waeup_edit_form"/>
+</node>
+</node>
+</node>
+</node>
+<node CREATED="1170082180802" FOLDED="true" ID="Freemind_Link_812719734" MODIFIED="1171711167338" TEXT="Clearance Data">
+<node CREATED="1170083733194" ID="Freemind_Link_1823044370" MODIFIED="1170862044390" TEXT="Id: clearance"/>
+<node CREATED="1170083603042" ID="Freemind_Link_1641808385" LINK="../profiles/default/types/StudentClearance.xml" MODIFIED="1171009882288" TEXT="Type: StudentClearance"/>
+<node CREATED="1170083649773" ID="Freemind_Link_1281565507" LINK="../profiles/default/schemas/student_clearance.xml" MODIFIED="1170958977813" TEXT="Schema: student_clearance"/>
+<node CREATED="1171353188624" FOLDED="true" ID="Freemind_Link_1171230143" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf">
+<node CREATED="1172156481009" ID="Freemind_Link_1817393683" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
+</node>
+<node CREATED="1170883343230" FOLDED="true" ID="Freemind_Link_998392827" MODIFIED="1172162754390" TEXT="User Interface">
+<node CREATED="1170883352226" FOLDED="true" ID="Freemind_Link_556396570" MODIFIED="1172163796143" TEXT="Student">
+<node CREATED="1171124982312" ID="Freemind_Link_683557361" LINK="../profiles/default/layouts/student_clearance_fe.xml" MODIFIED="1172590208847" TEXT="Layout: student_clearance_fe" VSHIFT="2"/>
+<node CREATED="1172488817664" FOLDED="true" ID="Freemind_Link_1692130968" MODIFIED="1172488820358" TEXT="view">
+<node CREATED="1172163808013" ID="Freemind_Link_998434555" LINK="../skins/waeup_student/clearance_slip.pt" MODIFIED="1172590222186" TEXT="PT: clearance_slip"/>
+<node CREATED="1172163797590" ID="Freemind_Link_1824516563" LINK="../skins/waeup_student/clearance_view.pt" MODIFIED="1172590230228" TEXT="PT: clearance_view"/>
+</node>
+<node CREATED="1172488821089" FOLDED="true" ID="Freemind_Link_1625962208" MODIFIED="1172488823242" TEXT="edit">
+<node CREATED="1172163808013" ID="Freemind_Link_113324006" LINK="../skins/waeup_student/clearance_edit_form.pt" MODIFIED="1172590237488" TEXT="PT: clearance_edit_form"/>
+<node CREATED="1172163808013" ID="Freemind_Link_735971580" LINK="../skins/waeup_student/clearance_edit.py" MODIFIED="1173008827552" TEXT="PY: clearance_edit"/>
+</node>
+</node>
+<node CREATED="1170883352226" FOLDED="true" ID="Freemind_Link_1353155855" MODIFIED="1172488273241" TEXT="Officer">
+<node CREATED="1171124982312" ID="Freemind_Link_1920730860" LINK="../profiles/default/layouts/student_clearance.xml" MODIFIED="1172590245309" TEXT="Layout: student_clearance" VSHIFT="2"/>
+<node CREATED="1172488875157" FOLDED="true" ID="Freemind_Link_888492061" MODIFIED="1172488877500" TEXT="view">
+<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_document_view.pt" MODIFIED="1172488738180" TEXT="PT: waeup_document_view"/>
+</node>
+<node CREATED="1172488878061" FOLDED="true" ID="Freemind_Link_1089408606" MODIFIED="1172488879643" TEXT="edit">
+<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_edit.py" MODIFIED="1172488745821" TEXT="PY: waeup_edit"/>
+<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_edit_form.pt" MODIFIED="1172488792728" TEXT="PT: waeup_edit_form"/>
+</node>
+</node>
+<node CREATED="1172590261873" ID="Freemind_Link_548109147" MODIFIED="1172590269785" TEXT="ClearanceOfficer"/>
+</node>
+</node>
+<node CREATED="1170082180802" FOLDED="true" ID="Freemind_Link_634523864" MODIFIED="1171711172044" TEXT="Personal Data">
+<node CREATED="1170083733194" ID="Freemind_Link_1809756717" MODIFIED="1170862205697" TEXT="Id: personal"/>
+<node CREATED="1170083603042" ID="Freemind_Link_212388289" LINK="../profiles/default/types/StudentPersonal.xml" MODIFIED="1171010050967" TEXT="Type: StudentPersonal"/>
+<node CREATED="1170083649773" ID="Freemind_Link_329050457" LINK="../profiles/default/schemas/student_personal.xml" MODIFIED="1170959011444" TEXT="Schema: student_personal"/>
+<node CREATED="1171353188624" FOLDED="true" ID="Freemind_Link_1826722808" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf">
+<node CREATED="1172156481009" ID="Freemind_Link_28070507" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
+</node>
+<node CREATED="1170883343230" FOLDED="true" ID="Freemind_Link_1992366565" MODIFIED="1172162754390" TEXT="User Interface">
+<node CREATED="1170883352226" FOLDED="true" ID="Freemind_Link_1836030474" MODIFIED="1172163796143" TEXT="Student">
+<node CREATED="1171124982312" ID="Freemind_Link_619763911" LINK="../profiles/default/layouts/student_personal_fe.xml" MODIFIED="1172590156902" TEXT="Layout: student_personal_fe" VSHIFT="2"/>
+<node CREATED="1172488817664" FOLDED="true" ID="Freemind_Link_1257369345" MODIFIED="1172488820358" TEXT="view">
+<node CREATED="1172163797590" ID="Freemind_Link_1400026339" LINK="../skins/waeup_student/personal_view.pt" MODIFIED="1172590109564" TEXT="PT: personal_view"/>
+</node>
+<node CREATED="1172488821089" FOLDED="true" ID="Freemind_Link_1638658780" MODIFIED="1172488823242" TEXT="edit">
+<node CREATED="1172163808013" ID="Freemind_Link_1344729975" LINK="../skins/waeup_student/personal_edit_form.pt" MODIFIED="1172590121682" TEXT="PT: personal_edit_form"/>
+<node CREATED="1172163808013" ID="Freemind_Link_669247347" LINK="../skins/waeup_student/personal_edit.py" MODIFIED="1173008912775" TEXT="PY: personal_edit"/>
+</node>
+</node>
+<node CREATED="1170883352226" FOLDED="true" ID="Freemind_Link_286219707" MODIFIED="1172488273241" TEXT="Officer">
+<node CREATED="1171124982312" ID="Freemind_Link_1209895790" LINK="../profiles/default/layouts/student_personal.xml" MODIFIED="1172590168539" TEXT="Layout: student_personal" VSHIFT="2"/>
+<node CREATED="1172488875157" FOLDED="true" ID="Freemind_Link_77093197" MODIFIED="1172488877500" TEXT="view">
+<node CREATED="1172163808013" ID="Freemind_Link_1922836083" LINK="../skins/waeup_default/waeup_document_view.pt" MODIFIED="1172488738180" TEXT="PT: waeup_document_view"/>
+</node>
+<node CREATED="1172488878061" FOLDED="true" ID="Freemind_Link_679732160" MODIFIED="1172488879643" TEXT="edit">
+<node CREATED="1172163808013" ID="Freemind_Link_165622352" LINK="../skins/waeup_default/waeup_edit.py" MODIFIED="1172488745821" TEXT="PY: waeup_edit"/>
+<node CREATED="1172163808013" ID="Freemind_Link_534028031" LINK="../skins/waeup_default/waeup_edit_form.pt" MODIFIED="1172488792728" TEXT="PT: waeup_edit_form"/>
+</node>
+</node>
+</node>
+</node>
+<node CREATED="1170082392807" FOLDED="true" ID="Freemind_Link_1979443941" MODIFIED="1171711179966" TEXT="Study Course">
+<node CREATED="1170930140692" ID="Freemind_Link_607082969" MODIFIED="1171009488850" TEXT="Id: study_course"/>
+<node CREATED="1170930264337" ID="Freemind_Link_1384807180" LINK="../profiles/default/types/StudentStudyCourse.xml" MODIFIED="1172159914623" TEXT="Type: StudentStudyCourse"/>
+<node CREATED="1170930285073" ID="Freemind_Link_1989199190" LINK="../profiles/default/schemas/student_study_course.xml" MODIFIED="1171016022394" TEXT="Schema: student_study_course"/>
+<node CREATED="1171015856280" ID="Freemind_Link_86536977" LINK="../profiles/default/layouts/student_study_course.xml" MODIFIED="1172157227132" TEXT="Layout: student_study_course"/>
+<node CREATED="1171353188624" FOLDED="true" ID="Freemind_Link_1421234009" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf">
+<node CREATED="1172156481009" ID="Freemind_Link_1231607035" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
+</node>
+<node CREATED="1170082404788" FOLDED="true" ID="Freemind_Link_1932365066" MODIFIED="1173164769927" TEXT="{StudentStudyLevels}">
+<node CREATED="1171711225441" ID="Freemind_Link_1643185567" LINK="../profiles/default/types/StudentStudyLevel.xml" MODIFIED="1172159926125" TEXT="Type: StudentStudyLevel"/>
+<node CREATED="1171711252019" ID="Freemind_Link_1974988388" LINK="../profiles/default/schemas/student_study_level.xml" MODIFIED="1172160137485" TEXT="Schema: student_study_level"/>
+<node CREATED="1171711275042" ID="Freemind_Link_744562017" LINK="../profiles/default/layouts/student_study_level.xml" MODIFIED="1172157370844" TEXT="Layout: student_study_level"/>
+<node CREATED="1170082419140" FOLDED="true" ID="Freemind_Link_1356993815" MODIFIED="1173164798869" TEXT="{StudentCourseResults]">
+<node CREATED="1171711590937" ID="Freemind_Link_519794554" LINK="../profiles/default/types/StudentCourseResult.xml" MODIFIED="1172160113608" TEXT="Type: StudentCourseResult"/>
+<node CREATED="1171711647027" ID="Freemind_Link_1880871196" LINK="../profiles/default/schemas/student_course_result.xml" MODIFIED="1172160183100" TEXT="Schema: student_course_result"/>
+<node CREATED="1171711617014" ID="Freemind_Link_797419415" LINK="../profiles/default/layouts/student_course_result.xml" MODIFIED="1172160204262" TEXT="Layout: student_course_result"/>
+</node>
+</node>
+</node>
+<node CREATED="1170082200667" FOLDED="true" ID="Freemind_Link_140160478" MODIFIED="1170082364784" TEXT="Payments">
+<node CREATED="1171711430276" ID="Freemind_Link_86727434" MODIFIED="1171711435834" TEXT="Id: payments"/>
+<node CREATED="1171711367726" ID="Freemind_Link_1873791240" MODIFIED="1171711381666" TEXT="Type: PaymentsFolder"/>
+<node CREATED="1170082366149" FOLDED="true" ID="Freemind_Link_1718065298" MODIFIED="1171711406291" TEXT="{Payments}">
+<node CREATED="1171711413572" ID="Freemind_Link_116328775" MODIFIED="1171711419660" TEXT="Type: Payment"/>
+<node CREATED="1170883263996" ID="Freemind_Link_39098989" LINK="../profiles/default/schemas/payment.xml" MODIFIED="1170959080069" TEXT="Schema: payment"/>
+<node CREATED="1171711449483" ID="Freemind_Link_165499016" MODIFIED="1171711455191" TEXT="Layout: payment"/>
+</node>
+</node>
+</node>
+<node CREATED="1171379675232" FOLDED="true" ID="Freemind_Link_41196870" MODIFIED="1171379685192" TEXT="User Interface">
+<node CREATED="1171379691280" FOLDED="true" ID="Freemind_Link_24219" MODIFIED="1171379703554" TEXT="Officers">
+<node CREATED="1171379710053" FOLDED="true" ID="Freemind_Link_1668598079" MODIFIED="1171379734695" TEXT="add_student">
+<node CREATED="1171379737777" ID="Freemind_Link_490783588" MODIFIED="1171379757546" TEXT="PY: add_student"/>
+<node CREATED="1171362924343" ID="Freemind_Link_1507034557" LINK="../skins/waeup_accommodation/student_create_form.pt" MODIFIED="1171382378983" TEXT="PT: student_create_form"/>
+<node CREATED="1171379759850" ID="Freemind_Link_435667013" LINK="../profiles/default/schemas/student_create.xml" MODIFIED="1171380077013" TEXT="Schema: student_create"/>
+<node CREATED="1171015856280" ID="Freemind_Link_976681849" LINK="../profiles/default/layouts/student_create.xml" MODIFIED="1171382310446" TEXT="Layout: student_create"/>
+</node>
+</node>
+<node CREATED="1172016304181" FOLDED="true" ID="Freemind_Link_831833270" MODIFIED="1172016314036" TEXT="Students">
+<node CREATED="1171379710053" FOLDED="true" ID="Freemind_Link_413720849" MODIFIED="1172016338320" TEXT="change_password">
+<node CREATED="1171379737777" ID="Freemind_Link_1193425802" MODIFIED="1172016370425" TEXT="PY: change_password"/>
+<node CREATED="1171362924343" ID="Freemind_Link_197745680" LINK="../skins/waeup_accommodation/student_create_form.pt" MODIFIED="1172016392094" TEXT="PT: change_password_form"/>
+<node CREATED="1171379759850" ID="Freemind_Link_1595823834" LINK="../profiles/default/schemas/student_change_password.xml" MODIFIED="1172016494768" TEXT="Schema: student_change_password"/>
+<node CREATED="1171015856280" ID="Freemind_Link_83566645" LINK="../profiles/default/layouts/student_change_password.xml" MODIFIED="1172016516654" TEXT="Layout: student_change_password"/>
+</node>
+<node CREATED="1171379710053" FOLDED="true" ID="Freemind_Link_250586527" MODIFIED="1172136136294" TEXT="set_access_data">
+<node CREATED="1171379737777" ID="Freemind_Link_173378373" MODIFIED="1172136155974" TEXT="PY: set_access_data"/>
+<node CREATED="1171362924343" ID="Freemind_Link_385786925" LINK="../skins/waeup_accommodation/set_access_data_form.pt" MODIFIED="1172136205159" TEXT="PT: set_access_data_form"/>
+<node CREATED="1171379759850" ID="Freemind_Link_1672896645" LINK="../profiles/default/schemas/student_returning.xml" MODIFIED="1172136395249" TEXT="Schema: student_returning"/>
+<node CREATED="1171015856280" ID="Freemind_Link_1275916157" LINK="../profiles/default/layouts/student_session_returning.xml" MODIFIED="1172136363694" TEXT="Layout: student_session_results_search"/>
+</node>
+</node>
+</node>
+</node>
+<node CREATED="1170082502675" FOLDED="true" ID="Freemind_Link_1051871348" MODIFIED="1171710707226" TEXT="Accommodation Section">
+<node CREATED="1171710631948" ID="Freemind_Link_161316738" MODIFIED="1171710638848" TEXT="Id: accommodation"/>
+<node CREATED="1171114205479" ID="Freemind_Link_685193459" LINK="../profiles/default/types/AccoFolder.xml" MODIFIED="1171360542032" TEXT="Type: AccoFolder"/>
+<node CREATED="1170082513362" FOLDED="true" ID="Freemind_Link_579142716" MODIFIED="1171710738261" TEXT="{Halls}">
+<node CREATED="1171114205479" ID="Freemind_Link_913388948" LINK="../profiles/default/types/AccoHall.xml" MODIFIED="1171360892599" TEXT="Type: AccoHall"/>
+<node CREATED="1171124926993" ID="Freemind_Link_108322260" LINK="../profiles/default/schemas/acco_hall.xml" MODIFIED="1171361085015" TEXT="Schema: acco_hall"/>
+<node CREATED="1171124982312" ID="Freemind_Link_378355401" LINK="../profiles/default/layouts/acco_hall.xml" MODIFIED="1171361118597" TEXT="Layout: acco_hall"/>
+<node CREATED="1171362437684" FOLDED="true" ID="Freemind_Link_1642729597" MODIFIED="1171362486789" TEXT="User Interface">
+<node CREATED="1171362489012" FOLDED="true" ID="Freemind_Link_550352037" MODIFIED="1171362509942" TEXT="book_reserved_bed">
+<node CREATED="1171362515581" ID="Freemind_Link_213666573" LINK="../skins/waeup_accommodation/book_reserved_bed.py" MODIFIED="1171362598179" TEXT="PY: book_reserved_bed"/>
+<node CREATED="1171362924343" ID="Freemind_Link_1340566317" LINK="../skins/waeup_accommodation/book_reserved_bed_form.pt" MODIFIED="1171363012800" TEXT="PT: book_reserved_bed_form"/>
+<node CREATED="1171124926993" ID="Freemind_Link_320666824" LINK="../profiles/default/schemas/acco_bed_booking.xml" MODIFIED="1171362834619" TEXT="Schema: acco_bed_booking"/>
+<node CREATED="1171124982312" ID="Freemind_Link_1520138434" LINK="../profiles/default/layouts/acco_bed_booking.xml" MODIFIED="1171362901153" TEXT="Layout: acco_bed_booking"/>
+</node>
+</node>
+</node>
+<node CREATED="1171381167605" FOLDED="true" ID="Freemind_Link_370176221" MODIFIED="1171381186185" TEXT="User Interface">
+<node CREATED="1171381191363" ID="Freemind_Link_1384539281" MODIFIED="1171381247729" TEXT="Student"/>
+<node CREATED="1171381259796" ID="Freemind_Link_43065296" MODIFIED="1171381265497" TEXT="Officer"/>
+</node>
+</node>
+<node CREATED="1170082542534" FOLDED="true" ID="Freemind_Link_243354429" MODIFIED="1171710670383" TEXT="Pin Section">
+<node CREATED="1171710956294" ID="Freemind_Link_1564638284" MODIFIED="1171710960600" TEXT="Type: ScratchCardBatchesFolder"/>
+<node CREATED="1171710648131" ID="Freemind_Link_1115846656" MODIFIED="1171710654941" TEXT="Id: pins"/>
+<node CREATED="1170082553111" FOLDED="true" ID="Freemind_Link_1225342224" MODIFIED="1171884067639" TEXT="ScratchCardBatches">
+<node CREATED="1171711021738" ID="Freemind_Link_1373462759" MODIFIED="1171711030451" TEXT="Type: ScratchCardBatch"/>
+<node CREATED="1171711043239" ID="Freemind_Link_215893748" MODIFIED="1171711075966" TEXT="Schema: scratch_card_batch"/>
+<node CREATED="1171711076978" ID="Freemind_Link_1234518938" MODIFIED="1171711086892" TEXT="Layout: scratch_card_batch"/>
+</node>
+</node>
+</node>
+<node CREATED="1171711725971" FOLDED="true" ID="Freemind_Link_716743966" MODIFIED="1171711849759" TEXT="Directories">
+<node CREATED="1171711958926" ID="Freemind_Link_799041044" MODIFIED="1171711970903" TEXT="Id: portal_directories"/>
+<node CREATED="1171711971274" ID="Freemind_Link_1378447478" MODIFIED="1171712308118" TEXT="Members"/>
+<node CREATED="1171711995008" ID="Freemind_Link_861199985" MODIFIED="1171712311913" TEXT="Students"/>
+<node CREATED="1171711999584" ID="Freemind_Link_1070634598" MODIFIED="1171712315178" TEXT="Groups"/>
 </node>
 <node CREATED="1170931308473" FOLDED="true" ID="Freemind_Link_249696543" MODIFIED="1170931315740" TEXT="Catalogs">
@@ -26,251 +270,10 @@
 <node CREATED="1171712154817" ID="Freemind_Link_1307066201" LINK="../profiles/default/pumeresults.xml" MODIFIED="1172055646399" TEXT="PUME/PDE Resuts Table"/>
 </node>
-<node CREATED="1171711725971" FOLDED="true" ID="Freemind_Link_716743966" MODIFIED="1171711849759" TEXT="Directories">
-<node CREATED="1171711958926" ID="Freemind_Link_799041044" MODIFIED="1171711970903" TEXT="Id: portal_directories"/>
-<node CREATED="1171711971274" ID="Freemind_Link_1378447478" MODIFIED="1171712308118" TEXT="Members"/>
-<node CREATED="1171711995008" ID="Freemind_Link_861199985" MODIFIED="1171712311913" TEXT="Students"/>
-<node CREATED="1171711999584" ID="Freemind_Link_1070634598" MODIFIED="1171712315178" TEXT="Groups"/>
-</node>
-<node CREATED="1170079621592" ID="Freemind_Link_1297017754" MODIFIED="1170079640872" TEXT="Campus">
-<node CREATED="1171710559043" ID="Freemind_Link_1592396213" MODIFIED="1171710565212" TEXT="Id: campus"/>
-<node CREATED="1170079643589" ID="Freemind_Link_1231068129" MODIFIED="1171710686426" TEXT="Academic Section">
-<node CREATED="1171710577379" ID="Freemind_Link_1444831124" MODIFIED="1171710589887" TEXT="Id: academics"/>
-<node CREATED="1170080366716" ID="Freemind_Link_415048819" MODIFIED="1171709591652" TEXT="{Faculties}">
-<node CREATED="1171114205479" ID="Freemind_Link_777914383" LINK="../profiles/default/types/Faculty.xml" MODIFIED="1171114273018" TEXT="Type: Faculty"/>
-<node CREATED="1171124926993" ID="Freemind_Link_1995598127" LINK="../profiles/default/schemas/faculty.xml" MODIFIED="1171124974083" TEXT="Schema: faculty"/>
-<node CREATED="1171124982312" ID="Freemind_Link_875514191" LINK="../profiles/default/layouts/faculty.xml" MODIFIED="1171125747539" TEXT="Layout: faculty"/>
-<node CREATED="1170080406892" ID="Freemind_Link_1983042340" MODIFIED="1171709620984" TEXT="{Departments}">
-<node CREATED="1171125049973" ID="Freemind_Link_734335561" LINK="../profiles/default/types/Department.xml" MODIFIED="1171125103478" TEXT="Type: Department"/>
-<node CREATED="1171125108968" ID="Freemind_Link_553285905" LINK="../profiles/default/schemas/department.xml" MODIFIED="1172001385770" TEXT="Schema: department"/>
-<node CREATED="1171125727127" ID="Freemind_Link_481382280" LINK="../profiles/default/layouts/department.xml" MODIFIED="1171125762591" TEXT="Layout: department"/>
-<node CREATED="1170080420252" ID="Freemind_Link_290613406" MODIFIED="1171710340659" TEXT="Courses">
-<node CREATED="1171710086403" ID="Freemind_Link_241779697" LINK="../profiles/default/types/CoursesFolder.xml" MODIFIED="1172589332547" TEXT="Type: CoursesFolder"/>
-<node CREATED="1171710355390" ID="Freemind_Link_118311151" MODIFIED="1171710361439" TEXT="Id: courses"/>
-<node CREATED="1171710129425" ID="Freemind_Link_768683630" MODIFIED="1171710143816" TEXT="{Courses}">
-<node CREATED="1171125278776" ID="Freemind_Link_271340691" LINK="../profiles/default/types/Course.xml" MODIFIED="1171125499635" TEXT="Type: Course"/>
-<node CREATED="1171125294516" ID="Freemind_Link_1380275634" LINK="../profiles/default/schemas/course.xml" MODIFIED="1171125322984" TEXT="Schema: course"/>
-<node CREATED="1171125766553" ID="Freemind_Link_851403429" LINK="../profiles/default/layouts/course.xml" MODIFIED="1171125799374" TEXT="Layout: course"/>
-</node>
-</node>
-<node CREATED="1170080432978" ID="Freemind_Link_562751" MODIFIED="1170080631195" TEXT="Certificates">
-<node CREATED="1171710395037" ID="Freemind_Link_404484787" LINK="../profiles/default/types/CertificatesFolder.xml" MODIFIED="1172589301562" TEXT="Type: CertificatesFolder"/>
-<node CREATED="1171710418961" ID="Freemind_Link_1593662067" MODIFIED="1171710429717" TEXT="Id: certificates"/>
-<node CREATED="1171710430588" ID="Freemind_Link_749193871" MODIFIED="1171710447703" TEXT="{Certificates}">
-<node CREATED="1171125332417" ID="Freemind_Link_1282410878" LINK="../profiles/default/types/Certificate.xml" MODIFIED="1171125518275" TEXT="Type: Certificate"/>
-<node CREATED="1171125354169" ID="Freemind_Link_417952670" LINK="../profiles/default/schemas/course.xml" MODIFIED="1171125878924" TEXT="Schema: certificate"/>
-<node CREATED="1171125803606" ID="Freemind_Link_1875982916" LINK="../profiles/default/layouts/certificate.xml" MODIFIED="1171125868907" TEXT="Layout: certificate"/>
-<node CREATED="1171710490564" ID="Freemind_Link_843869909" MODIFIED="1171710864122" TEXT="{CertificateCourses}">
-<node CREATED="1171125386330" ID="Freemind_Link_107526608" LINK="../profiles/default/types/CertificateCourse.xml" MODIFIED="1171125541376" TEXT="Type: CertificateCourse"/>
-<node CREATED="1171125407620" ID="Freemind_Link_536311369" LINK="../profiles/default/schemas/certificate_course.xml" MODIFIED="1171125455457" TEXT="Schema: certificate_course"/>
-<node CREATED="1171126119984" ID="Freemind_Link_1217942566" LINK="../profiles/default/layouts/certificate_course.xml" MODIFIED="1171126156808" TEXT="Layout: certificate_course"/>
-</node>
-</node>
-</node>
-</node>
-</node>
-</node>
-<node CREATED="1170082138244" ID="Freemind_Link_1354366927" MODIFIED="1171710679266" TEXT="Student Section">
-<node CREATED="1171709784119" ID="_" MODIFIED="1171709937449" TEXT="Type: StudentsFolder" VSHIFT="104"/>
-<node CREATED="1171710545564" ID="Freemind_Link_221165828" MODIFIED="1171710551332" TEXT="Id: students"/>
-<node CREATED="1170082147831" ID="Freemind_Link_115332414" MODIFIED="1171709774415" TEXT="{Student}">
-<node CREATED="1171114205479" ID="Freemind_Link_1051911128" LINK="../profiles/default/types/Student.xml" MODIFIED="1171353141707" TEXT="Type: Student"/>
-<node CREATED="1171124926993" ID="Freemind_Link_1838352082" LINK="../profiles/default/schemas/student.xml" MODIFIED="1171353152905" TEXT="Schema: student"/>
-<node CREATED="1171124982312" ID="Freemind_Link_1037588671" LINK="../profiles/default/layouts/student.xml" MODIFIED="1171353165422" TEXT="Layout: student"/>
-<node CREATED="1171353188624" ID="Freemind_Link_1032185087" LINK="../profiles/default/workflows/waeup_student_wf/definition.xml" MODIFIED="1171353319663" TEXT="Workflow: waeup_student_wf">
-<node CREATED="1172156481009" ID="Freemind_Link_615926152" LINK="waeup_student_wf.gif" MODIFIED="1172486913476" TEXT="Diagram"/>
-</node>
-<node CREATED="1170082164451" ID="Freemind_Link_1627718074" MODIFIED="1171894825978" TEXT="Accommodation Data">
-<node CREATED="1170083733194" ID="Freemind_Link_1398132513" MODIFIED="1171894857194" TEXT="Id: accommodation06"/>
-<node CREATED="1170083603042" ID="Freemind_Link_4951906" LINK="../profiles/default/types/StudentAccommodation.xml" MODIFIED="1171894888465" TEXT="Type: StudentAccommodation"/>
-<node CREATED="1170083649773" ID="Freemind_Link_1139787187" LINK="../profiles/default/schemas/student_accommodation.xml" MODIFIED="1171895045243" TEXT="Schema: student_accommodation"/>
-<node CREATED="1171353188624" ID="Freemind_Link_1027526284" LINK="../profiles/default/workflows/waeup_student_accommodation_wf/definition.xml" MODIFIED="1172163355400" TEXT="Workflow: waeup_student_accommodation_wf"/>
-<node CREATED="1170883343230" ID="Freemind_Link_158025710" MODIFIED="1172157052630" TEXT="User Interface">
-<node CREATED="1172157054665" ID="Freemind_Link_123552519" MODIFIED="1172488186216" TEXT="Student">
-<node CREATED="1171362489012" ID="Freemind_Link_875925244" MODIFIED="1171376833636" TEXT="reserve_accommodation">
-<node CREATED="1171362515581" ID="Freemind_Link_1380319587" LINK="../skins/waeup_accommodation/reserve_accommodation.py" MODIFIED="1171376963675" TEXT="PY: reserve_accommodation"/>
-<node CREATED="1171362924343" ID="Freemind_Link_1031270994" LINK="../skins/waeup_accommodation/accommodation_pin_edit_form.pt" MODIFIED="1172163898958" TEXT="PT: accommodation_pin_edit_form"/>
-<node CREATED="1171124926993" ID="Freemind_Link_59643823" LINK="../profiles/default/schemas/student_accommodation.xml" MODIFIED="1171377094450" TEXT="Schema: student_accommodation"/>
-<node CREATED="1171124982312" ID="Freemind_Link_1633331359" LINK="../profiles/default/layouts/student_accommodation_fe.xml" MODIFIED="1171377120846" TEXT="Layout: student_accommodation_fe"/>
-</node>
-</node>
-<node CREATED="1172160956421" ID="Freemind_Link_1200464160" MODIFIED="1172488188590" TEXT="Officer">
-<node CREATED="1172160965772" ID="Freemind_Link_1519551515" LINK="../skins/waeup_accommodation/change_bed.py" MODIFIED="1172162566492" TEXT="change_bed"/>
-<node CREATED="1172160986371" ID="Freemind_Link_193689339" LINK="../skins/waeup_accommodation/release_bed.py" MODIFIED="1172162574968" TEXT="release_bed"/>
-</node>
-</node>
-</node>
-<node CREATED="1170082164451" ID="Freemind_Link_1808367236" MODIFIED="1171711160327" TEXT="Application Data">
-<node CREATED="1170083733194" ID="Freemind_Link_1603566745" MODIFIED="1170862024807" TEXT="Id: application"/>
-<node CREATED="1170083603042" ID="Freemind_Link_1501749959" LINK="../profiles/default/types/StudentApplication.xml" MODIFIED="1171009517689" TEXT="Type: StudentApplication"/>
-<node CREATED="1170083649773" ID="Freemind_Link_743980261" LINK="../profiles/default/schemas/student_application.xml" MODIFIED="1171009482163" TEXT="Schema: student_application"/>
-<node CREATED="1171353188624" ID="Freemind_Link_1002042622" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf">
-<node CREATED="1172156481009" ID="Freemind_Link_1105306468" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
-</node>
-<node CREATED="1170883343230" MODIFIED="1172162754390" TEXT="User Interface">
-<node CREATED="1170883352226" MODIFIED="1172163796143" TEXT="Student">
-<node CREATED="1171124982312" LINK="../profiles/default/layouts/student_accommodation_fe.xml" MODIFIED="1172487948615" TEXT="Layout: student_application_fe" VSHIFT="2"/>
-<node CREATED="1172488817664" MODIFIED="1172488820358" TEXT="view">
-<node CREATED="1172163808013" LINK="../skins/waeup_student/application_slip.pt" MODIFIED="1172488857021" TEXT="PT: application_slip"/>
-<node CREATED="1172163797590" LINK="../skins/waeup_student/application_view.pt" MODIFIED="1172488862899" TEXT="PT: application_view"/>
-</node>
-<node CREATED="1172488821089" MODIFIED="1172488823242" TEXT="edit">
-<node CREATED="1172163808013" LINK="../skins/waeup_student/application_edit_form.pt" MODIFIED="1172488851172" TEXT="PT: application_edit_form"/>
-</node>
-</node>
-<node CREATED="1170883352226" MODIFIED="1172488273241" TEXT="Officer">
-<node CREATED="1171124982312" LINK="../profiles/default/layouts/student_application.xml" MODIFIED="1172488456165" TEXT="Layout: student_application" VSHIFT="2"/>
-<node CREATED="1172488875157" MODIFIED="1172488877500" TEXT="view">
-<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_document_view.pt" MODIFIED="1172488738180" TEXT="PT: waeup_document_view"/>
-</node>
-<node CREATED="1172488878061" MODIFIED="1172488879643" TEXT="edit">
-<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_edit.py" MODIFIED="1172488745821" TEXT="PY: waeup_edit"/>
-<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_edit_form.pt" MODIFIED="1172488792728" TEXT="PT: waeup_edit_form"/>
-</node>
-</node>
-</node>
-</node>
-<node CREATED="1170082180802" ID="Freemind_Link_812719734" MODIFIED="1171711167338" TEXT="Clearance Data">
-<node CREATED="1170083733194" ID="Freemind_Link_1823044370" MODIFIED="1170862044390" TEXT="Id: clearance"/>
-<node CREATED="1170083603042" ID="Freemind_Link_1641808385" LINK="../profiles/default/types/StudentClearance.xml" MODIFIED="1171009882288" TEXT="Type: StudentClearance"/>
-<node CREATED="1170083649773" ID="Freemind_Link_1281565507" LINK="../profiles/default/schemas/student_clearance.xml" MODIFIED="1170958977813" TEXT="Schema: student_clearance"/>
-<node CREATED="1171353188624" ID="Freemind_Link_1171230143" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf">
-<node CREATED="1172156481009" ID="Freemind_Link_1817393683" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
-</node>
-<node CREATED="1170883343230" ID="Freemind_Link_998392827" MODIFIED="1172162754390" TEXT="User Interface">
-<node CREATED="1170883352226" MODIFIED="1172163796143" TEXT="Student">
-<node CREATED="1171124982312" ID="Freemind_Link_683557361" LINK="../profiles/default/layouts/student_clearance_fe.xml" MODIFIED="1172590208847" TEXT="Layout: student_clearance_fe" VSHIFT="2"/>
-<node CREATED="1172488817664" MODIFIED="1172488820358" TEXT="view">
-<node CREATED="1172163808013" ID="Freemind_Link_998434555" LINK="../skins/waeup_student/clearance_slip.pt" MODIFIED="1172590222186" TEXT="PT: clearance_slip"/>
-<node CREATED="1172163797590" ID="Freemind_Link_1824516563" LINK="../skins/waeup_student/clearance_view.pt" MODIFIED="1172590230228" TEXT="PT: clearance_view"/>
-</node>
-<node CREATED="1172488821089" MODIFIED="1172488823242" TEXT="edit">
-<node CREATED="1172163808013" ID="Freemind_Link_113324006" LINK="../skins/waeup_student/clearance_edit_form.pt" MODIFIED="1172590237488" TEXT="PT: clearance_edit_form"/>
-</node>
-</node>
-<node CREATED="1170883352226" MODIFIED="1172488273241" TEXT="Officer">
-<node CREATED="1171124982312" ID="Freemind_Link_1920730860" LINK="../profiles/default/layouts/student_clearance.xml" MODIFIED="1172590245309" TEXT="Layout: student_clearance" VSHIFT="2"/>
-<node CREATED="1172488875157" MODIFIED="1172488877500" TEXT="view">
-<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_document_view.pt" MODIFIED="1172488738180" TEXT="PT: waeup_document_view"/>
-</node>
-<node CREATED="1172488878061" MODIFIED="1172488879643" TEXT="edit">
-<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_edit.py" MODIFIED="1172488745821" TEXT="PY: waeup_edit"/>
-<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_edit_form.pt" MODIFIED="1172488792728" TEXT="PT: waeup_edit_form"/>
-</node>
-</node>
-<node CREATED="1172590261873" ID="Freemind_Link_548109147" MODIFIED="1172590269785" TEXT="ClearanceOfficer"/>
-</node>
-</node>
-<node CREATED="1170082180802" ID="Freemind_Link_634523864" MODIFIED="1171711172044" TEXT="Personal Data">
-<node CREATED="1170083733194" ID="Freemind_Link_1809756717" MODIFIED="1170862205697" TEXT="Id: personal"/>
-<node CREATED="1170083603042" ID="Freemind_Link_212388289" LINK="../profiles/default/types/StudentPersonal.xml" MODIFIED="1171010050967" TEXT="Type: StudentPersonal"/>
-<node CREATED="1170083649773" ID="Freemind_Link_329050457" LINK="../profiles/default/schemas/student_personal.xml" MODIFIED="1170959011444" TEXT="Schema: student_personal"/>
-<node CREATED="1171353188624" ID="Freemind_Link_1826722808" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf">
-<node CREATED="1172156481009" ID="Freemind_Link_28070507" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
-</node>
-<node CREATED="1170883343230" ID="Freemind_Link_1992366565" MODIFIED="1172162754390" TEXT="User Interface">
-<node CREATED="1170883352226" ID="Freemind_Link_1836030474" MODIFIED="1172163796143" TEXT="Student">
-<node CREATED="1171124982312" ID="Freemind_Link_619763911" LINK="../profiles/default/layouts/student_personal_fe.xml" MODIFIED="1172590156902" TEXT="Layout: student_personal_fe" VSHIFT="2"/>
-<node CREATED="1172488817664" ID="Freemind_Link_1257369345" MODIFIED="1172488820358" TEXT="view">
-<node CREATED="1172163797590" ID="Freemind_Link_1400026339" LINK="../skins/waeup_student/personal_view.pt" MODIFIED="1172590109564" TEXT="PT: personal_view"/>
-</node>
-<node CREATED="1172488821089" ID="Freemind_Link_1638658780" MODIFIED="1172488823242" TEXT="edit">
-<node CREATED="1172163808013" ID="Freemind_Link_1344729975" LINK="../skins/waeup_student/personal_edit_form.pt" MODIFIED="1172590121682" TEXT="PT: personal_edit_form"/>
-</node>
-</node>
-<node CREATED="1170883352226" ID="Freemind_Link_286219707" MODIFIED="1172488273241" TEXT="Officer">
-<node CREATED="1171124982312" ID="Freemind_Link_1209895790" LINK="../profiles/default/layouts/student_personal.xml" MODIFIED="1172590168539" TEXT="Layout: student_personal" VSHIFT="2"/>
-<node CREATED="1172488875157" ID="Freemind_Link_77093197" MODIFIED="1172488877500" TEXT="view">
-<node CREATED="1172163808013" ID="Freemind_Link_1922836083" LINK="../skins/waeup_default/waeup_document_view.pt" MODIFIED="1172488738180" TEXT="PT: waeup_document_view"/>
-</node>
-<node CREATED="1172488878061" ID="Freemind_Link_679732160" MODIFIED="1172488879643" TEXT="edit">
-<node CREATED="1172163808013" ID="Freemind_Link_165622352" LINK="../skins/waeup_default/waeup_edit.py" MODIFIED="1172488745821" TEXT="PY: waeup_edit"/>
-<node CREATED="1172163808013" ID="Freemind_Link_534028031" LINK="../skins/waeup_default/waeup_edit_form.pt" MODIFIED="1172488792728" TEXT="PT: waeup_edit_form"/>
-</node>
-</node>
-</node>
-</node>
-<node CREATED="1170082392807" ID="Freemind_Link_1979443941" MODIFIED="1171711179966" TEXT="Study Course">
-<node CREATED="1170930140692" ID="Freemind_Link_607082969" MODIFIED="1171009488850" TEXT="Id: study_course"/>
-<node CREATED="1170930264337" ID="Freemind_Link_1384807180" LINK="../profiles/default/types/StudentStudyCourse.xml" MODIFIED="1172159914623" TEXT="Type: StudentStudyCourse"/>
-<node CREATED="1170930285073" ID="Freemind_Link_1989199190" LINK="../profiles/default/schemas/student_study_course.xml" MODIFIED="1171016022394" TEXT="Schema: student_study_course"/>
-<node CREATED="1171015856280" ID="Freemind_Link_86536977" LINK="../profiles/default/layouts/student_study_course.xml" MODIFIED="1172157227132" TEXT="Layout: student_study_course"/>
-<node CREATED="1171353188624" ID="Freemind_Link_1421234009" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf">
-<node CREATED="1172156481009" ID="Freemind_Link_1231607035" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
-</node>
-<node CREATED="1170082404788" ID="Freemind_Link_1932365066" MODIFIED="1172160254466" TEXT="StudentStudyLevels">
-<node CREATED="1171711225441" ID="Freemind_Link_1643185567" LINK="../profiles/default/types/StudentStudyLevel.xml" MODIFIED="1172159926125" TEXT="Type: StudentStudyLevel"/>
-<node CREATED="1171711252019" ID="Freemind_Link_1974988388" LINK="../profiles/default/schemas/student_study_level.xml" MODIFIED="1172160137485" TEXT="Schema: student_study_level"/>
-<node CREATED="1171711275042" ID="Freemind_Link_744562017" LINK="../profiles/default/layouts/student_study_level.xml" MODIFIED="1172157370844" TEXT="Layout: student_study_level"/>
-<node CREATED="1170082419140" ID="Freemind_Link_1356993815" MODIFIED="1172160235141" TEXT="CourseResults">
-<node CREATED="1171711590937" ID="Freemind_Link_519794554" LINK="../profiles/default/types/StudentCourseResult.xml" MODIFIED="1172160113608" TEXT="Type: StudentCourseResult"/>
-<node CREATED="1171711647027" ID="Freemind_Link_1880871196" LINK="../profiles/default/schemas/student_course_result.xml" MODIFIED="1172160183100" TEXT="Schema: student_course_result"/>
-<node CREATED="1171711617014" ID="Freemind_Link_797419415" LINK="../profiles/default/layouts/student_course_result.xml" MODIFIED="1172160204262" TEXT="Layout: student_course_result"/>
-</node>
-</node>
-</node>
-<node CREATED="1170082200667" FOLDED="true" ID="Freemind_Link_140160478" MODIFIED="1170082364784" TEXT="Payments">
-<node CREATED="1171711430276" ID="Freemind_Link_86727434" MODIFIED="1171711435834" TEXT="Id: payments"/>
-<node CREATED="1171711367726" ID="Freemind_Link_1873791240" MODIFIED="1171711381666" TEXT="Type: PaymentsFolder"/>
-<node CREATED="1170082366149" ID="Freemind_Link_1718065298" MODIFIED="1171711406291" TEXT="{Payments}">
-<node CREATED="1171711413572" ID="Freemind_Link_116328775" MODIFIED="1171711419660" TEXT="Type: Payment"/>
-<node CREATED="1170883263996" ID="Freemind_Link_39098989" LINK="../profiles/default/schemas/payment.xml" MODIFIED="1170959080069" TEXT="Schema: payment"/>
-<node CREATED="1171711449483" ID="Freemind_Link_165499016" MODIFIED="1171711455191" TEXT="Layout: payment"/>
-</node>
-</node>
-</node>
-<node CREATED="1171379675232" ID="Freemind_Link_41196870" MODIFIED="1171379685192" TEXT="User Interface">
-<node CREATED="1171379691280" ID="Freemind_Link_24219" MODIFIED="1171379703554" TEXT="Officers">
-<node CREATED="1171379710053" ID="Freemind_Link_1668598079" MODIFIED="1171379734695" TEXT="add_student">
-<node CREATED="1171379737777" ID="Freemind_Link_490783588" MODIFIED="1171379757546" TEXT="PY: add_student"/>
-<node CREATED="1171362924343" ID="Freemind_Link_1507034557" LINK="../skins/waeup_accommodation/student_create_form.pt" MODIFIED="1171382378983" TEXT="PT: student_create_form"/>
-<node CREATED="1171379759850" ID="Freemind_Link_435667013" LINK="../profiles/default/schemas/student_create.xml" MODIFIED="1171380077013" TEXT="Schema: student_create"/>
-<node CREATED="1171015856280" ID="Freemind_Link_976681849" LINK="../profiles/default/layouts/student_create.xml" MODIFIED="1171382310446" TEXT="Layout: student_create"/>
-</node>
-</node>
-<node CREATED="1172016304181" ID="Freemind_Link_831833270" MODIFIED="1172016314036" TEXT="Students">
-<node CREATED="1171379710053" FOLDED="true" ID="Freemind_Link_413720849" MODIFIED="1172016338320" TEXT="change_password">
-<node CREATED="1171379737777" ID="Freemind_Link_1193425802" MODIFIED="1172016370425" TEXT="PY: change_password"/>
-<node CREATED="1171362924343" ID="Freemind_Link_197745680" LINK="../skins/waeup_accommodation/student_create_form.pt" MODIFIED="1172016392094" TEXT="PT: change_password_form"/>
-<node CREATED="1171379759850" ID="Freemind_Link_1595823834" LINK="../profiles/default/schemas/student_change_password.xml" MODIFIED="1172016494768" TEXT="Schema: student_change_password"/>
-<node CREATED="1171015856280" ID="Freemind_Link_83566645" LINK="../profiles/default/layouts/student_change_password.xml" MODIFIED="1172016516654" TEXT="Layout: student_change_password"/>
-</node>
-<node CREATED="1171379710053" ID="Freemind_Link_250586527" MODIFIED="1172136136294" TEXT="set_access_data">
-<node CREATED="1171379737777" ID="Freemind_Link_173378373" MODIFIED="1172136155974" TEXT="PY: set_access_data"/>
-<node CREATED="1171362924343" ID="Freemind_Link_385786925" LINK="../skins/waeup_accommodation/set_access_data_form.pt" MODIFIED="1172136205159" TEXT="PT: set_access_data_form"/>
-<node CREATED="1171379759850" ID="Freemind_Link_1672896645" LINK="../profiles/default/schemas/student_returning.xml" MODIFIED="1172136395249" TEXT="Schema: student_returning"/>
-<node CREATED="1171015856280" ID="Freemind_Link_1275916157" LINK="../profiles/default/layouts/student_session_returning.xml" MODIFIED="1172136363694" TEXT="Layout: student_session_results_search"/>
-</node>
-</node>
-</node>
-</node>
-<node CREATED="1170082502675" ID="Freemind_Link_1051871348" MODIFIED="1171710707226" TEXT="Accommodation Section">
-<node CREATED="1171710631948" ID="Freemind_Link_161316738" MODIFIED="1171710638848" TEXT="Id: accommodation"/>
-<node CREATED="1171114205479" ID="Freemind_Link_685193459" LINK="../profiles/default/types/AccoFolder.xml" MODIFIED="1171360542032" TEXT="Type: AccoFolder"/>
-<node CREATED="1170082513362" ID="Freemind_Link_579142716" MODIFIED="1171710738261" TEXT="{Halls}">
-<node CREATED="1171114205479" ID="Freemind_Link_913388948" LINK="../profiles/default/types/AccoHall.xml" MODIFIED="1171360892599" TEXT="Type: AccoHall"/>
-<node CREATED="1171124926993" ID="Freemind_Link_108322260" LINK="../profiles/default/schemas/acco_hall.xml" MODIFIED="1171361085015" TEXT="Schema: acco_hall"/>
-<node CREATED="1171124982312" ID="Freemind_Link_378355401" LINK="../profiles/default/layouts/acco_hall.xml" MODIFIED="1171361118597" TEXT="Layout: acco_hall"/>
-<node CREATED="1171362437684" ID="Freemind_Link_1642729597" MODIFIED="1171362486789" TEXT="User Interface">
-<node CREATED="1171362489012" ID="Freemind_Link_550352037" MODIFIED="1171362509942" TEXT="book_reserved_bed">
-<node CREATED="1171362515581" ID="Freemind_Link_213666573" LINK="../skins/waeup_accommodation/book_reserved_bed.py" MODIFIED="1171362598179" TEXT="PY: book_reserved_bed"/>
-<node CREATED="1171362924343" ID="Freemind_Link_1340566317" LINK="../skins/waeup_accommodation/book_reserved_bed_form.pt" MODIFIED="1171363012800" TEXT="PT: book_reserved_bed_form"/>
-<node CREATED="1171124926993" ID="Freemind_Link_320666824" LINK="../profiles/default/schemas/acco_bed_booking.xml" MODIFIED="1171362834619" TEXT="Schema: acco_bed_booking"/>
-<node CREATED="1171124982312" ID="Freemind_Link_1520138434" LINK="../profiles/default/layouts/acco_bed_booking.xml" MODIFIED="1171362901153" TEXT="Layout: acco_bed_booking"/>
-</node>
-</node>
-</node>
-<node CREATED="1171381167605" ID="Freemind_Link_370176221" MODIFIED="1171381186185" TEXT="User Interface">
-<node CREATED="1171381191363" ID="Freemind_Link_1384539281" MODIFIED="1171381247729" TEXT="Student"/>
-<node CREATED="1171381259796" ID="Freemind_Link_43065296" MODIFIED="1171381265497" TEXT="Officer"/>
-</node>
-</node>
-<node CREATED="1170082542534" ID="Freemind_Link_243354429" MODIFIED="1171710670383" TEXT="Pin Section">
-<node CREATED="1171710956294" ID="Freemind_Link_1564638284" MODIFIED="1171710960600" TEXT="Type: ScratchCardBatchesFolder"/>
-<node CREATED="1171710648131" ID="Freemind_Link_1115846656" MODIFIED="1171710654941" TEXT="Id: pins"/>
-<node CREATED="1170082553111" ID="Freemind_Link_1225342224" MODIFIED="1171884067639" TEXT="ScratchCardBatches">
-<node CREATED="1171711021738" ID="Freemind_Link_1373462759" MODIFIED="1171711030451" TEXT="Type: ScratchCardBatch"/>
-<node CREATED="1171711043239" ID="Freemind_Link_215893748" MODIFIED="1171711075966" TEXT="Schema: scratch_card_batch"/>
-<node CREATED="1171711076978" ID="Freemind_Link_1234518938" MODIFIED="1171711086892" TEXT="Layout: scratch_card_batch"/>
-</node>
+<node CREATED="1172001308558" FOLDED="true" ID="Freemind_Link_1997267023" MODIFIED="1172490300476" TEXT="Profiles">
+<node CREATED="1172001324877" FOLDED="true" ID="Freemind_Link_1866579033" MODIFIED="1172001330846" TEXT="default">
+<node CREATED="1172001340812" ID="Freemind_Link_274105864" LINK="../profiles/default/directories.xml" MODIFIED="1172001465313" TEXT="portal_directories"/>
+<node CREATED="1172001340812" ID="Freemind_Link_1612370167" LINK="../profiles/default/layouts.xml" MODIFIED="1172001506077" TEXT="portal_layouts"/>
+<node CREATED="1172001340812" ID="Freemind_Link_7840481" LINK="../profiles/default/schemas.xml" MODIFIED="1172001572800" TEXT="portal_schemas"/>
+<node CREATED="1172001340812" ID="Freemind_Link_1164818739" LINK="../profiles/default/types.xml" MODIFIED="1172001612293" TEXT="portal_types"/>
 </node>
 </node>
Index: WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py	(revision 1518)
+++ WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py	(revision 1519)
@@ -1,3 +1,3 @@
-## Script (Python) "folder_delete"
+## Script (Python) "add_course_result"
 ##bind container=container
 ##bind context=context
@@ -10,5 +10,5 @@
 # $Id$
 """
-add a course_result object.
+add a StudentCourseResult object
 """
 from urllib import urlencode
@@ -23,11 +23,11 @@
 while True:
     if d['title'] == 'unknown':
-        err = "no such course"
+        err = "No such course"
         break
     if context.hasObject(course_id):
-        err = "course already exists"
+        err = "Course already exists"
         break
     if context.hasObject("%s_co" % course_id):
-        err = "course already exists as carryover"
+        err = "Course already exists as carryover course"
         break
     break
@@ -38,5 +38,5 @@
     url = "%s?%s" % (context.absolute_url(),urlencode(args))
     return request.RESPONSE.redirect(url)
-##cert_id = context.aq_parent.getContent().study_course    
+##cert_id = context.aq_parent.getContent().study_course
 ##res = context.portal_catalog(portal_type="Certificate", id = cert_id)
 ##l = []
Index: WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1518)
+++ WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1519)
@@ -157,5 +157,5 @@
                        class="destructive" i18n:attributes="value"
                        tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       ('really delete checked courses', )" 
+                       ('Do you really want to delete the courses selected?', )" 
                        />
                 <input tal:condition="python: review_state == 'school_fee_paid'"
